JUCE: Unity

JUCE

Macros | Typedefs | Enumerations | Functions
Unity
juce_audio_plugin_client

## Macros
#define | UNITY_AUDIO_PLUGIN_API_VERSION 0x010401
#define | UNITY_INTERFACE_API
#define | UNITY_INTERFACE_EXPORT __attribute__ ((visibility("default")))

## Typedefs
typedef int(UNITY_INTERFACE_API * | releaseCallback) (UnityAudioEffectState *state)
typedef int(UNITY_INTERFACE_API * | resetCallback) (UnityAudioEffectState *state)
typedef int(UNITY_INTERFACE_API * | processCallback) (UnityAudioEffectState *state, float *inBuffer, float *outBuffer, unsigned int bufferSize, int numInChannels, int numOutChannels)
typedef int(UNITY_INTERFACE_API * | setPositionCallback) (UnityAudioEffectState *state, unsigned int pos)
typedef int(UNITY_INTERFACE_API * | setFloatParameterCallback) (UnityAudioEffectState *state, int index, float value)
typedef int(UNITY_INTERFACE_API * | getFloatParameterCallback) (UnityAudioEffectState *state, int index, float *value, char *valuestr)
typedef int(UNITY_INTERFACE_API * | getFloatBufferCallback) (UnityAudioEffectState *state, const char *name, float *buffer, int numsamples)
typedef int(UNITY_INTERFACE_API * | distanceAttenuationCallback) (UnityAudioEffectState *state, float distanceIn, float attenuationIn, float *attenuationOut)
typedef void(UNITY_INTERFACE_API * | renderCallback) (int eventId)

## Enumerations
enum | UnityAudioEffectDefinitionFlags { isSideChainTarget = 1, isSpatializer = 2, isAmbisonicDecoder = 4, appliesDistanceAttenuation = 8 }
enum | UnityAudioEffectStateFlags { stateIsPlaying = 1, stateIsPaused = 2, stateIsMuted = 8, statIsSideChainTarget = 16 }
enum | UnityEventModifiers { shift = 1, control = 2, alt = 4, command = 8, numeric = 16, capsLock = 32, functionKey = 64 }

## Functions
typedef | int (UNITY_INTERFACE_API *createCallback)(UnityAudioEffectState *state)
UNITY_INTERFACE_EXPORT int UNITY_INTERFACE_API | UnityGetAudioEffectDefinitions (UnityAudioEffectDefinition ***definitionsPtr)
UNITY_INTERFACE_EXPORT renderCallback UNITY_INTERFACE_API | getRenderCallback ()
UNITY_INTERFACE_EXPORT void UNITY_INTERFACE_API | unityInitialiseTexture (int id, void *textureHandle, int w, int h)
UNITY_INTERFACE_EXPORT void UNITY_INTERFACE_API | unityMouseDown (int id, float x, float y, UnityEventModifiers mods, int button)
UNITY_INTERFACE_EXPORT void UNITY_INTERFACE_API | unityMouseDrag (int id, float x, float y, UnityEventModifiers mods, int button)
UNITY_INTERFACE_EXPORT void UNITY_INTERFACE_API | unityMouseUp (int id, float x, float y, UnityEventModifiers mods)
UNITY_INTERFACE_EXPORT void UNITY_INTERFACE_API | unityKeyEvent (int id, int code, UnityEventModifiers mods, const char *name)
UNITY_INTERFACE_EXPORT void UNITY_INTERFACE_API | unitySetScreenBounds (int id, float x, float y, float w, float h)

## Detailed Description

## Macro Definition Documentation

## ◆ UNITY_AUDIO_PLUGIN_API_VERSION

#define UNITY_AUDIO_PLUGIN_API_VERSION 0x010401

## ◆ UNITY_INTERFACE_API

#define UNITY_INTERFACE_API

## ◆ UNITY_INTERFACE_EXPORT

#define UNITY_INTERFACE_EXPORT __attribute__ ((visibility("default")))

## Typedef Documentation

## ◆ releaseCallback

typedef int(UNITY_INTERFACE_API * releaseCallback) (UnityAudioEffectState *state)

## ◆ resetCallback

typedef int(UNITY_INTERFACE_API * resetCallback) (UnityAudioEffectState *state)

## ◆ processCallback

typedef int(UNITY_INTERFACE_API * processCallback) (UnityAudioEffectState *state, float *inBuffer, float *outBuffer, unsigned int bufferSize, int numInChannels, int numOutChannels)

## ◆ setPositionCallback

typedef int(UNITY_INTERFACE_API * setPositionCallback) (UnityAudioEffectState *state, unsigned int pos)

## ◆ setFloatParameterCallback

typedef int(UNITY_INTERFACE_API * setFloatParameterCallback) (UnityAudioEffectState *state, int index, float value)

## ◆ getFloatParameterCallback

typedef int(UNITY_INTERFACE_API * getFloatParameterCallback) (UnityAudioEffectState *state, int index, float *value, char *valuestr)

## ◆ getFloatBufferCallback

typedef int(UNITY_INTERFACE_API * getFloatBufferCallback) (UnityAudioEffectState *state, const char *name, float *buffer, int numsamples)

## ◆ distanceAttenuationCallback

typedef int(UNITY_INTERFACE_API * distanceAttenuationCallback) (UnityAudioEffectState *state, float distanceIn, float attenuationIn, float *attenuationOut)

## ◆ renderCallback

typedef void(UNITY_INTERFACE_API * renderCallback) (int eventId)

## Enumeration Type Documentation

## ◆ UnityAudioEffectDefinitionFlags

enum UnityAudioEffectDefinitionFlags

Enumerator
isSideChainTarget |
isSpatializer |
isAmbisonicDecoder |
appliesDistanceAttenuation |

## ◆ UnityAudioEffectStateFlags

enum UnityAudioEffectStateFlags

Enumerator
stateIsPlaying |
stateIsPaused |
stateIsMuted |
statIsSideChainTarget |

## ◆ UnityEventModifiers

enum UnityEventModifiers

Enumerator
shift |
control |
alt |
command |
numeric |
capsLock |
functionKey |

## Function Documentation

## ◆ int()

typedef int | ( | UNITY_INTERFACE_API * | createCallback | ) |

Referenced by ArrayBase< PushNotifications::Notification::Action, DummyCriticalSection >::addArray(), PixelAlpha::blend(), CharPointer_ASCII::canRepresent(), AudioFormatReader::clearSamplesBeyondAvailableLength(), PixelARGB::desaturate(), CharacterFunctions::find(), AudioParameterInt::getRange(), BlocksProtocol::HostPacketDecoder< Handler >::handleTopology(), CharacterFunctions::indexOf(), CharacterFunctions::indexOfIgnoreCase(), CharPointer_UTF32::isValidString(), CharPointer_UTF16::isValidString(), Array< OSCBundle::Element >::remove(), Reverb::setSampleRate(), String::toDecimalStringWithSignificantFigures(), and BlocksProtocol::Packed7BitArrayBuilder< maxPacketBytes >::writeHeaderSysexBytes().

## ◆ UnityGetAudioEffectDefinitions()

UNITY_INTERFACE_EXPORT int UNITY_INTERFACE_API UnityGetAudioEffectDefinitions | ( | UnityAudioEffectDefinition *** | definitionsPtr | ) |

## ◆ getRenderCallback()

UNITY_INTERFACE_EXPORT renderCallback UNITY_INTERFACE_API getRenderCallback | ( |  | ) |

## ◆ unityInitialiseTexture()

UNITY_INTERFACE_EXPORT void UNITY_INTERFACE_API unityInitialiseTexture | ( | int | id,
|  | void * | textureHandle,
|  | int | w,
|  | int | h
| ) |  |

## ◆ unityMouseDown()

UNITY_INTERFACE_EXPORT void UNITY_INTERFACE_API unityMouseDown | ( | int | id,
|  | float | x,
|  | float | y,
|  | UnityEventModifiers | mods,
|  | int | button
| ) |  |

## ◆ unityMouseDrag()

UNITY_INTERFACE_EXPORT void UNITY_INTERFACE_API unityMouseDrag | ( | int | id,
|  | float | x,
|  | float | y,
|  | UnityEventModifiers | mods,
|  | int | button
| ) |  |

## ◆ unityMouseUp()

UNITY_INTERFACE_EXPORT void UNITY_INTERFACE_API unityMouseUp | ( | int | id,
|  | float | x,
|  | float | y,
|  | UnityEventModifiers | mods
| ) |  |

## ◆ unityKeyEvent()

UNITY_INTERFACE_EXPORT void UNITY_INTERFACE_API unityKeyEvent | ( | int | id,
|  | int | code,
|  | UnityEventModifiers | mods,
|  | const char * | name
| ) |  |

## ◆ unitySetScreenBounds()

UNITY_INTERFACE_EXPORT void UNITY_INTERFACE_API unitySetScreenBounds | ( | int | id,
|  | float | x,
|  | float | y,
|  | float | w,
|  | float | h
| ) |  |